Groovy Documentation

## org.codehaus.groovy.transform
[Java] Class TupleConstructorASTTransformation

    java.lang.Object
      org.codehaus.groovy.transform.AbstractASTTransformation
          org.codehaus.groovy.transform.TupleConstructorASTTransformation

    @GroovyASTTransformation(phase = CompilePhase.CANONICALIZATION)
    public class TupleConstructorASTTransformation
    extends AbstractASTTransformation

Handles generation of code for the

TupleConstructor:
  annotation.

Authors:
  Paul King

Method Summary
`static void` | `createConstructor(ClassNode cNode, boolean includeFields, boolean includeProperties, boolean includeSuperFields, boolean includeSuperProperties, boolean callSuper, boolean force, java.util.List excludes, java.util.List includes)`
`void` | `visit(ASTNode[] nodes, SourceUnit source)`

Methods inherited from class AbstractASTTransformation
addError, checkNotInterface, getMemberList, getMemberStringValue, getMemberValue, hasAnnotation, init, memberHasValue, tokenize

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### createConstructor

    public static void createConstructor(ClassNode cNode, boolean includeFields, boolean includeProperties, boolean includeSuperFields, boolean includeSuperProperties, boolean callSuper, boolean force, java.util.List excludes, java.util.List includes)

### visit

    public void visit(ASTNode[] nodes, SourceUnit source)

Groovy Documentation